%define ALD_Ver		2.0

Name:         atril

License:      GPLv2+ and LGPLv2+ and MIT
Summary:      Document viewer
Version:      1.26.1
Release:      0

Requires:	glib2 >= 2.62.0

Source: %{name}-%{version}.tar.xz
Source2: %{name}-%{version}-patches.tgz

# http://pub.mate-desktop.org/releases/

%define DestDir		/Gtk3/3.0
# -----------------------------------------------------

%if %{_target_cpu} == %{_build_cpu}
%define _srcrpmdir	%{_topdir}/SRPMS/%{ALD_Ver}
%define _CROSS 0
%define MakeLocCross 0
%else
# rpm --target=armv7hl -ba xxxxx.spec
%define _srcrpmdir	%{_topdir}/SRPMS/tmp
%define _CROSS 1
%define MakeLocCross 1
%define _host %{_arch}-%{_os}%{_gnu}
%endif

#------------------ CROSS DIR --------------------

%define docdir		%{_defaultdocdir}/%{name}

%define auto_local %{_sourcedir}/AUTO_LOCAL-1.sh
%define have_auto_local %(if test -x %{auto_local} ; then echo 1 ; else echo 0 ; fi)

%if %{have_auto_local}
%define __os_install_post %{nil}
%define CrossPath	%(%{auto_local} -GetCrossPath -build_cpu=%{_build_cpu} -target_cpu=%{_target_cpu})
%endif

# ------------------- description ------------------------------------
%description
Mate-document-viewer is simple document viewer.
#-------------------------------
%package devel
Summary:      Libraries for the C compiler
Requires:     %{name} = %{version}-%{release}
%description devel
These libraries are needed to compile C code.
#-------------------------------
%package doc
Summary:      doc for %{name}
%description doc
doc for %{name}
#-------------------------------
%package help
Summary:      help for %{name}
%description help
help for %{name}

# ------------------- setup ------------------------------------------
%Prep
%setup -q -n %{name}-%{version}

tar -xaf %SOURCE2
patch -p0<patches/set_wondow_size.patch

# ------------------- Build ------------------------------------------
%Build 
%if %{_CROSS}
export PATH="%{CrossPath}/bin:$PATH"
export GCC_NoHostPath=d
%endif

%if %{_arch} == "i386"
OPTFLAGS="-O2 -march=i586 -falign-functions=4 -falign-jumps=1 -falign-loops=1 -fomit-frame-pointer"
%endif
%if %{_arch} == "x86_64"
OPTFLAGS="-O2"
%endif
%if %{_arch} == "arm"
OPTFLAGS="%{optflags} -O2 -munaligned-access"
%endif

OPTFLAGS="$OPTFLAGS -fno-asynchronous-unwind-tables"

CFLAGS="$OPTFLAGS -std=gnu99"
CXXFLAGS="$OPTFLAGS"
LDFLAGS="-Wl,--gc-sections"

%configure \
	--enable-shared \
	--disable-static \
	--disable-libtool-lock \
	--disable-nls \
	--disable-rpath \
	--disable-schemas-compile \
	--disable-dbus \
	--disable-caja \
	--disable-thumbnailer \
	--disable-previewer \
	--disable-synctex \
	--disable-djvu \
	--disable-dvi \
	--disable-comics \
	--disable-xps \
	--disable-epub \
	--without-keyring \
	&>FConfigure_log.txt

make V=1 &>FMake_log.txt

# ------------------- Install ----------------------------------------
%Install
%if %{_CROSS}
export PATH="%{CrossPath}/bin:$PATH"
export GCC_NoHostPath=d
%endif

rm -rf $RPM_BUILD_ROOT
mkdir -p %{_srcrpmdir}
mkdir -p $RPM_BUILD_ROOT%{docdir}

make DESTDIR=$RPM_BUILD_ROOT install &>Finstall_log.txt

rm $RPM_BUILD_ROOT%{_libdir}/*.la
rm $RPM_BUILD_ROOT%{_libdir}/atril/3/backends/*.la

cp -a AUTHORS README.md $RPM_BUILD_ROOT%{docdir}/
ln -s /usr/share/doc/gpl-2.0.txt $RPM_BUILD_ROOT%{docdir}/COPYING

%if %{have_auto_local}
  %{auto_local} -build_cpu=%{_build_cpu} -target_cpu=%{_target_cpu} \
	-MakeLocCross=%{MakeLocCross} -DelLocCrossDir=%{_bindir}
%endif  # have_auto_local

# ------------------- Clean ------------------------------------------
%Clean

%if %{have_auto_local}
  %{auto_local} -build_cpu=%{_build_cpu} -target_cpu=%{_target_cpu} \
	-MakeLocCross=%{MakeLocCross} \
	-ALD_Ver=%{ALD_Ver} -RpmMovePath=%{DestDir} -tar_arg=bzip2
%endif  # have_auto_local

# --------------------------------------------------------------------
%posttrans
glib-compile-schemas /usr/share/glib-2.0/schemas/

%postun
if test "$1" = "0" ; then
  glib-compile-schemas /usr/share/glib-2.0/schemas/
fi

# ------------------- Files ------------------------------------------
%files
%{_bindir}/atril
%{_libdir}/atril
%{_libdir}/*.so.*
%{_datadir}/applications
%{_datadir}/atril
%{_datadir}/glib-2.0
%{_datadir}/icons
%{_datadir}/metainfo/atril.appdata.xml
%{_mandir}/man1/atril.1.gz
%{docdir}

%files devel
%{_includedir}
%{_libdir}/*.so
%{_libdir}/pkgconfig

%files doc
%{_datadir}/gtk-doc

%files help
%{_datadir}/help
